import java.awt.*;
import javax.swing.JFrame;
import javax.swing.*;

public class MainMenuView {
    private JFrame frame = new JFrame();
    private JLabel titelLabel = new JLabel("Studium versenken");
    private JButton lokalButton = new JButton("Lokal");
    private JButton multiButton= new JButton("Multiplayer");
    private JButton soundButton = new JButton();
    private ImageIcon background = new ImageIcon("images/background.jpg");

    Font robotoFont = new Font("Roboto", Font.BOLD, 45);

    public MainMenuView() {
        buildFrame();
        buildComponents();

    }
    public void buildComponents(){
        lokalButton.setBounds(200,200,500,500);
        multiButton.setBounds(800,200,500,500);
        titelLabel.setBounds(550,10,700,100);
        titelLabel.setFont(robotoFont);
        lokalButton.setFont(robotoFont.deriveFont(50f));
        multiButton.setFont(robotoFont.deriveFont(50f));
    }

    public void buildFrame() {
        frame.setLayout(null);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(1500,1000);
        frame.setVisible(true);
        frame.getContentPane().setBackground( Color.decode("#98F5FF"));
        frame.add(titelLabel);
        frame.add(lokalButton);
        frame.add(multiButton);
        frame.setLocationRelativeTo(null);
    }

    public JButton getLocalButton() {
        return lokalButton;
    }

    public JButton getMultiButton() {
        return multiButton;
    }

    public JFrame getFrame() {
        return frame;
    }
}
